%define upstream_name    Crypt-Twofish2
%define upstream_version 1.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Crypt::CBC compliant Twofish encryption module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
This module implements the twofish cipher in a less braindamaged (read:
slow and ugly) way than the existing 'Crypt::Twofish' module.

Although it is 'Crypt::CBC' compliant you usually gain nothing by using
that module (except generality, which is often a good thing), since
'Crypt::Twofish2' can work in either ECB or CBC mode itself.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/Crypt
%perl_vendorarch/auto/Crypt


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 1.30.0-5.mga10
+ Revision: 2087902
- Rebuild against new perl

* Wed Nov 29 2023 tv <tv> 1.30.0-4.mga10
+ Revision: 2011445
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.30.0-3.mga9
+ Revision: 1861700
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.30.0-2.mga9
+ Revision: 1796403
- Mageia 9 Mass Rebuild

* Mon Aug 02 2021 tv <tv> 1.30.0-1.mga9
+ Revision: 1738544
- update to 1.03

* Mon May 24 2021 umeabot <umeabot> 1.20.0-13.mga9
+ Revision: 1726493
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.20.0-12.mga8
+ Revision: 1594387
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 1.20.0-11.mga8
+ Revision: 1529004
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 1.20.0-10.mga8
+ Revision: 1432886
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.20.0-9.mga7
+ Revision: 1292633
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 guillomovitch <guillomovitch> 1.20.0-8.mga7
+ Revision: 1248616
- rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 1.20.0-7.mga7
+ Revision: 1163730
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.20.0-6.mga7
+ Revision: 1148707
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.20.0-5.mga7
+ Revision: 1126951
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 1.20.0-4.mga6
+ Revision: 1024675
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.20.0-3.mga6
+ Revision: 957012
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.20.0-2.mga6
+ Revision: 843929
- Rebuild for perl 5.22

* Sun Oct 19 2014 pterjan <pterjan> 1.20.0-1.mga5
+ Revision: 791814
- imported package perl-Crypt-Twofish2


* Sun Oct 19 2014 cpan2dist 1.02-1mga
- initial mageia release, generated with cpan2dist
